summaryrefslogtreecommitdiff
path: root/.scripts/not needed/mpdup
diff options
context:
space:
mode:
authorSaumit Dinesan <justsaumit@protonmail.com>2022-03-12 19:54:51 +0530
committerSaumit Dinesan <justsaumit@protonmail.com>2022-03-12 19:54:51 +0530
commit54b772cae06eb25adf33297e35234f33ded81a7b (patch)
treef287ee48faa8013e4a8f0ee764a6d3cd850bb24d /.scripts/not needed/mpdup
parent7197e45d94dbcf4877d585fff8e634896876ae83 (diff)
neovim addition
Diffstat (limited to '.scripts/not needed/mpdup')
-rwxr-xr-x.scripts/not needed/mpdup8
1 files changed, 8 insertions, 0 deletions
diff --git a/.scripts/not needed/mpdup b/.scripts/not needed/mpdup
new file mode 100755
index 0000000..af81a7d
--- /dev/null
+++ b/.scripts/not needed/mpdup
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+
+while : ; do
+ mpc idle >/dev/null && kill -45 "$(pidof "${STATUSBAR:-dwmblocks}")" || break
+done